""" background tasks for pr_upload """

import os
from celery import shared_task


# helpers
def failed_upload(file, uploads):  # FIXME: syntax & opt
    """ determine if upload shall fail """
    for upload in uploads:
        if file[:22] == upload[:22]:
            return True
    return False


@shared_task
def autoremove_task(media_root):
    """ task to regularly upload or autoremove the added pressespiegels """
    root, uroot = media_root + 'testfile/', media_root + 'upload/'
    ls_files, ls_uploads = os.listdir(root), os.listdir(uroot)
    for file in ls_files:
        if len(file) > 26 or failed_upload(file, ls_uploads):
            os.remove(root+file)
        else:
            os.rename(root+file, uroot+file)
# TODO: find a fitting context to autoremove_task.delay()
# TODO: add database reader and check
