""" Creator of views in MySQL """
import logging
import os

from django.db import connection


logger = logging.getLogger(__name__)


def create_view(**kwargs):
    """ Creates several MySQL-Views """
    # unused kwargs
    _ = kwargs
    logger.debug('  (re)creating partition views for Articles...')
    file_path = os.path.join(os.path.dirname(__file__), '../etc/views.sql')
    with open(file_path, encoding='UTF-8') as file:
        sql_statement = file.read()
        with connection.cursor() as cursor:
            # TODO: replace check statement with something more robust
            for statement in sql_statement.split("# ---"):
                stripped_statement = statement.replace('\n', ' ').strip()
                cursor.execute(stripped_statement)
                row = cursor.fetchone()
            logger.debug('  Done creating partition views.')
    return row
